Subject: Re: bug#72549: 29.4; menus do not work properly on wayland (pgtk)

From: Sergio Callegari <[email-masked]>
Date: Sat, 24 Aug 2024 16:17:12 +0200

Sorry for the delay.

Unfortunately cannot try with other compositors, only kwin.

Other gtk3 applications are mostly fine. Note that on the specific 
machine many things are slow. For instance typing with thunderbird shows 
some lag and minor hangs. However, one thing is being slow, bothering 
but acceptable, and some other thing is becoming incorrect as in opening 
the wrong menu.

Thanks for looking into the issue

Sergio

On 10/08/2024 10:27, Po Lu wrote:
> Eli Zaretskii <[email-masked]> writes:
>
>>> Date: Fri, 9 Aug 2024 13:42:54 +0200
>>> From: Sergio Callegari <[email-masked]>
>>>
>>> Using emacs in KDE wayland, with the pgtk build. On a low spec machine,
>>> emacs is hardly usable in this configuration. The menu system (file,
>>> edit, options, etc.) misbehaves. For instance, you position the mouse on
>>> "buffers", but the buffers menu does not open. To get it, you need to go
>>> on File and then slowly move right through edit and options.
>>>
>>> On a high spec machine emacs is usable with exactly the same config (Amd
>>> ryzen 9 with amd graphics).
>>>
>>> in X11 mode, emacs is fine on both.
>> Po Lu, any ideas or suggestions?
> Is this specific to KWin and Emacs, or reproducible on other compositors
> and with other GTK 3 programs also?